/**
   In Java, String objects are immutable. There is
   no way to modify a String after it has been created.

   Java has a StringBuffer class that represents mutable
   strings.
*/

public class String_vs_StringBuffer
{
   public static void main(String[] args)
   {
      String s1 = "Hello";
      String s2 = s1.replace('l', 'p');  // Doesn't mutate s1!

      // Show that s2 is a new String object.
      System.out.println( s1 );
      System.out.println( s2 );
      System.out.println("s2 == s1 is " + (s2 == s1) );


      StringBuffer sb1 = new StringBuffer("Hello");
      StringBuffer sb2 = sb1.replace(2, 4, "pp");  // Mutate sb1.

      // Show that sb2 is the same object as sb1.
      System.out.println( sb1 );
      System.out.println( sb2 );
      System.out.println("sb2 == sb1 is " + (sb2 == sb1) );
   }
}
